Index: src/include/port/win32.h
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/include/port/win32.h,v
retrieving revision 1.26
diff -c -r1.26 win32.h
*** src/include/port/win32.h	24 Jun 2004 21:03:33 -0000	1.26
--- src/include/port/win32.h	15 Jul 2004 20:03:13 -0000
***************
*** 144,149 ****
--- 144,152 ----
  extern int pgwin32_is_service(void);
  #endif

+ /* in backend/port/win32/security.c */
+ extern int pgwin32_is_admin(void);
+ extern int pgwin32_is_service(void);

  /* Some extra signals */
  #define SIGHUP				1
***************
*** 214,216 ****
--- 217,229 ----
  #define ECONNREFUSED WSAECONNREFUSED
  #define EBADFD WSAENOTSOCK
  #define EOPNOTSUPP WSAEOPNOTSUPP
+ 
+ 
+ /* 
+  * readline is broken on mingw - disables the alt-gr key
+  * which renders it useless in most locales
+  */
+ #undef HAVE_LIBREADLINE
+ #undef HAVE_READLINE_HISTORY_H
+ #undef HAVE_READLINE_READLINE_H
+ 
